Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 4.0.7   

Resolution: Fixed Affected version:  

Description

Expected Result Actual Result

expected_result.gif actual_result.gif 

As shown in the "Actual Result" above, even if "all" is selected in roles, pressing the Edit button will display "multiple selectbox with

all options selected" instead of "all".

After all, there is no problem because all roles can be selected.

However, it is unnatural for the contents of the select box to change.

This problem occurs because find_roles in workflows_controller.rb was not fixed at the same time as change #15988.

Related issues:

Related to Redmine - Defect #15988: Unexpected behaviour on issue fields for ... Closed

Associated revisions

Revision 19538 - 2020-02-29 05:59 - Go MAEDA

"Role" dropdown in Workflow page is unexpectedly expanded when selecting "all" (#33059).

Patch by Mizuki ISHIKAWA.

Revision 19543 - 2020-02-29 15:18 - Go MAEDA

Merged r19538 from trunk to 4.1-stable (#33059).

Revision 19544 - 2020-02-29 15:27 - Go MAEDA

Merged r19538 from trunk to 4.0-stable (#33059).

History

#1 - 2020-02-28 16:17 - Marius BĂLTEANU

- Status changed from New to Confirmed

- Target version set to 4.0.7

#2 - 2020-02-29 05:30 - Go MAEDA

- Related to Defect #15988: Unexpected behaviour on issue fields for users that have multiple roles  added

#3 - 2020-02-29 06:00 - Go MAEDA

- Subject changed from @roles is incorrect when the selected option is "all" in find_roles of workflows. to "Role" dropdown in Workflow page is

unexpectedly expanded  when selecting "all"

- Category changed from UI to Issues workflow

- Assignee set to Go MAEDA

Committed the patch. Thank you for detecting and fixing the issue.

#4 - 2020-02-29 15:27 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/revisions/19534/entry/trunk/app/controllers/workflows_controller.rb#L124
https://www.redmine.org/issues/15988


- Status changed from Confirmed to Closed

- Resolution set to Fixed
